Upload Invoice
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/order/invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'invoice={
"type": "INVOICE",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"invoiceNumber": "<string>",
"channel": "MYBESTDEALCOMDE"
}' \
--form document='@example-file'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/order/invoice"
files = { "document": ("example-file", open("example-file", "rb")) }
payload = { "invoice": "{
\"type\": \"INVOICE\",
\"sellerId\": \"4711\",
\"orderId\": \"43523-43432-43532\",
\"invoiceNumber\": \"<string>\",
\"channel\": \"MYBESTDEALCOMDE\"
}" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('invoice', '{
"type": "INVOICE",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"invoiceNumber": "<string>",
"channel": "MYBESTDEALCOMDE"
}');
form.append('document', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/order/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Order
Upload Invoice
Upload an invoice document for a previously created order. The returned documentId can later be used with GetInvoiceDocument.
POST
/
v1
/
seller
/
order
/
invoice
Upload Invoice
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
multipart/form-data
Invoice metadata together with the binary PDF document for a marketplace order.
Response
Invoice received
Was this page helpful?
⌘I